<?php
/**
 * 金戈企业建站系统：企业风采管理页面
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  rootfc.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */
session_start();
require('../config.php');
require('rootfun/roothtml.php');
require('rootfun/rootfun.php');
//判断是否是管理员，该函数在myfun.php 中定义
if(!check_root())
	{
		echo '<meta http-equiv="Refresh" content="0; url=../error.php?error=nono" >';
		exit;
	}

//插入页头
rootheader();
?>
<div id="rootmain">
<?php
$action = $_GET['action'];

//取回所有企业风采
if ($action == 'qyfc') 
{
     seqyfc();
}

//删除选择的企业风采
if ($action == 'delfc') 
{
     $del = $_POST['del_me'];
     $img = $_POST['img'];
     if (count($del) > 0) 
     {
          foreach ($del as $fcid)
          {
          	if (delqyfc($fcid))  
          	{
          		foreach ($img as $fcimg)
          		{
          			$fcimg = '../'.$fcimg;
          			if (file_exists($fcimg)) 
          			{
          			     if (unlink($fcimg)) 
          			     {
          			          echo '删除成功...<br />';
          			     }
          			     else 
          			     {
          			     	echo '该条企业风采删除成功.图片删除失败，请检查文件夹权限<br />';
          			     }
          			}
          			else 
          			{
          				echo '数据库内容删除成功.该风采没有图片或路径错误!';
          			}
          		}
          	}
          	else 
          	{
          		echo '删除失败...';
          	}
          }
     }
     else 
     {
     	echo '您还没有选择需要删除的企业风采';
     }
}

//编辑企业风采
if ($action == 'endfc') 
{
     $fcid = trim($_GET['fcid']);
     $upqyfc = root_alli(qyfc,fc_id,$fcid);
     $upqyfc = setassoc($upqyfc);
     display_qyfc_form($upqyfc);
}

//更新企业风采
if ($action == 'upqyfc') 
{
     $fcid = trim($_POST['fcid']);
     $title = my_yz($_POST['title']);
     $sm = my_yz($_POST['sm']);
     if (!filled_out($_POST)) 
     {
          echo '完整填写表单--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     if (strlen($title) > 255 && strlen($js) > 255) 
     {
          echo '字数太多。请保持在100字以内--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     
     if (isset($_FILES['userfile']['name'])&&is_uploaded_file($_FILES['userfile']['tmp_name'])) 
     {
		//严整上传内容是否有错误
     	if ($_FILES['userfile']['error'] > 0)
  		{
    		echo '警告: ';
    		switch ($_FILES['userfile']['error'])
    		{
      			case 1:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 2:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 3:  echo '上传文件残缺--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 4:  echo '您还没有选择任何需要上传的文件--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
    		}
		}
		//严整上传文件格式是否正确
		if ($_FILES['userfile']['type'] != 'image/jpeg' && $_FILES['userfile']['type'] != 'image/pjpeg')
  		{
    		echo '警告: 不符合系统要求的文件格式,请使用JPEG格式的图片--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		//对上传文件的安全验证等
  		$upfile = '../up/fcimg/'.$_FILES['userfile']['name'];
  		if (is_uploaded_file($_FILES['userfile']['tmp_name'])) 
  		{
     		if (!move_uploaded_file($_FILES['userfile']['tmp_name'], $upfile))
     		{
        		echo '警告: 无up/fcimg文件夹或对该文件夹无写入权限！<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
        		exit;
     		}
  		} 
  		else 
  		{
    		echo '警告: 文件名内包含敏感字符，请修改文件名: ';
    		echo $_FILES['userfile']['name'].'<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		
  		$upfile = 'up/fcimg/'.$_FILES['userfile']['name'];
  		if (upqyfc($upfile,$sm,$title,$fcid)) 
  		{
  	     	echo '更新成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
  		else 
  		{
  			echo '更新失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
     }
     else 
     {
     	if (upqyfc_nr($title,$sm,$fcid)) 
     	{
     	     echo '更新成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     	}
     	else 
     	{
     		echo '更新失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     	}
     }
}

//填写企业风采
if ($action == 'infc') 
{
     display_qyfc_form();
}

//添加企业风采
if ($action == 'inqyfc') 
{
     $title = $_POST['title'];
     $sm = $_POST['sm'];
     
     if (!filled_out($_POST)) 
     {
          echo '完整填写表单--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     
     if (strlen($title) > 255 && strlen($sm) > 255) 
     {
          echo '字数太多。请保持在100字以内--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     
     if ($_FILES['userfile']['error'] > 0)
  		{
    		echo '警告: ';
    		switch ($_FILES['userfile']['error'])
    		{
      			case 1:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 2:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 3:  echo '上传文件残缺--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 4:  echo '您还没有选择任何需要上传的文件--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
    		}
		}
		//严整上传文件格式是否正确
		if ($_FILES['userfile']['type'] != 'image/jpeg' && $_FILES['userfile']['type'] != 'image/pjpeg')
  		{
    		echo '警告: 不符合系统要求的文件格式,请使用JPEG格式的图片--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		//对上传文件的安全验证等
  		$upfile = '../up/fcimg/'.$_FILES['userfile']['name'];
  		if (is_uploaded_file($_FILES['userfile']['tmp_name'])) 
  		{
     		if (!move_uploaded_file($_FILES['userfile']['tmp_name'], $upfile))
     		{
        		echo '警告: 无up/ryimg文件夹或对该文件夹无写入权限！<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
        		exit;
     		}
  		} 
  		else 
  		{
    		echo '警告: 文件名内包含敏感字符，请修改文件名: ';
    		echo $_FILES['userfile']['name'].'<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		
  		$upfile = 'up/fcimg/'.$_FILES['userfile']['name'];
  		if (inqyfc($upfile,$title,$sm)) 
  		{
  	     	echo '添加成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
  		else 
  		{
  			echo '添加失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
}
?>
</div>
<?php
//插入页脚
rootfooter();
?>